Subject: [nfsv4] Fwd: Re: RFC 7530: Available attributes for READDIR and Absent File Systems

From: David Noveck <[email-masked]>
Date: Fri, 2 Jun 2017 17:30:05 -0400

---------- Forwarded message ----------
From: "David Noveck" <[email-masked]>
Date: Jun 2, 2017 10:17 AM
Subject: Re: [nfsv4] RFC 7530: Available attributes for READDIR and Absent
File Systems
To: "Vitaliy Gusev" <[email-masked]>
Cc:

> Is it worth preparing Errata for RFC 7530 Section 16.24.4 or Section
8.3.2 with
> description that READDIR for an entry cannot return more attributes
(except rdattr_error)
> than GEATTR returns?

I don't think so.  The spec is not incorrect and the lack that it fails to
outlaw one  case of
server behavior that you might find troubling is not a sufficient basis for
an errata.

If the issue was raised before RFC7530 was written, the results might have
been different,
but even in that case I'm not sure that the spec would have said that the
server
"SHOULD NOT" or "MUST NOT" do this.

On Thu, Jun 1, 2017 at 12:34 PM, Vitaliy Gusev <[email-masked]>
wrote:

>
> On 22 May 2017, at 14:42, David Noveck <[email-masked]> wrote:
>
> > In other words, can other attributes than fs_locations, fsid, mount
> ed_on_fileid, rdattr_error
> > be available for a root of absent filesystem in READDIR reply?
>
> According to the spec. yes.  Realistically, it is hard to come up with a
> case where the server would have this information or in which a client
> would be prepared to do anything with it.
>
>
> It may introduce double-meaning because in this case some attributes
> might be
> obtained only via READDIR but not via GETATTR.
>
> Is it worth preparing Errata for RFC 7530 Section 16.24.4 or Section 8.3.2
> with
> description that READDIR for an entry cannot return more attributes
> (except rdattr_error)
> than GEATTR returns?
>
> ———
> Vitaliy Gusev
>